﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ng-click="cancelAction()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Refund 
            </h1>
            <h4 style="display: inline-block;padding-left: 20px;">{{Model.ClubName}}</h4>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <div class="clearfix"></div>
    <div id="paymentHistory" >
        <fieldset>
            <legend>Billing history</legend>
            <br />
            <div class="clearfix place-left">
                <p><span style="font-weight:bold">Billing Id:</span> {{Model.BillingId}}</p>

                <p><span style="font-weight:bold">Billing date:</span> {{Model.BillingDate}}</p>

                <p><span style="font-weight:bold">Credit:</span> {{Model.Credit}}</p>

                <p><span style="font-weight:bold">Debit:</span>{{Model.Debit}}</p>

                <p><span style="font-weight:bold">Description:</span> {{Model.Description}}</p>

            </div>
            @*<kendo-grid id="orderItemTransactions" options="transactionsGridOptions"></kendo-grid>*@
        </fieldset>
    </div>
    <div class="clearfix"></div>
    <hr />
 
    <label class="req-star">Refund Amount (enter an amount up to <span class="fg-red">{{(Model.Credit).formatCurrencyWithPenny(2)}}</span>)</label>
    <div class="input-control text price place-left two-third" data-role="input-control" data-sign="$" @Html.AngValidationClass("RefundAmount")>
        <input ng-model="Model.RefundAmount" type="text" @Html.AngTooltipValidation("RefundAmount") />
    </div>
    <div class="clearfix"></div>
    <label>Reason for refund</label>
    <div class="input-control text" data-role="input-control" @Html.AngValidationClass("RefundReason")>
        <input ng-model="Model.RefundReason" type="text" @Html.AngTooltipValidation("RefundReason") />
    </div>

    <div class="clearfix"></div>
    <hr />
    <button type="button" class="success place-right large button" data-ng-click="confirmCancellation()" ng-hide="Model.Status=='canceled'">Continue</button>

    <button type="button" class="link place-left large button" data-ng-click="cancelAction()">Cancel</button>

    <div class="clearfix"></div>

</div>

